Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20ResourceShapeLineStrip

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Resource
          de.grogra.imp3d.gl20.GL20ResourceShape
              de.grogra.imp3d.gl20.GL20ResourceShapeLineStrip

    public class GL20ResourceShapeLineStrip

extends GL20ResourceShape

Field Summary

Fields inherited from class de.grogra.imp3d.gl20.GL20Resource
`GL20RESOURCE_CLASS_LIGHT, GL20RESOURCE_CLASS_MASK, GL20RESOURCE_CLASS_MESH, GL20RESOURCE_CLASS_SHADER, GL20RESOURCE_CLASS_SHADERFRAGMENT, GL20RESOURCE_CLASS_SHAPE, GL20RESOURCE_CLASS_TEXTURE, GL20RESOURCE_LIGHT_DIRECTIONAL, GL20RESOURCE_LIGHT_POINT, GL20RESOURCE_LIGHT_SPOT, GL20RESOURCE_MESH_MULTI_USER, GL20RESOURCE_MESH_SINGLE_USER, GL20RESOURCE_SHADER_PHONG, GL20RESOURCE_SHADER_RGBA, GL20RESOURCE_SHADERFRAGMENT_BLEND, GL20RESOURCE_SHADERFRAGMENT_GRAYTONE, GL20RESOURCE_SHADERFRAGMENT_RGB, GL20RESOURCE_SHAPE_BOX, GL20RESOURCE_SHAPE_FRUSTUM, GL20RESOURCE_SHAPE_LINE, GL20RESOURCE_SHAPE_LINE_STRIP, GL20RESOURCE_SHAPE_PARALLELOGRAM, GL20RESOURCE_SHAPE_PLANE, GL20RESOURCE_SHAPE_POLYGONS, GL20RESOURCE_SHAPE_SPHERE, GL20RESOURCE_TEXTURE, GL20RESOURCE_TEXTURE_CUBEMAP, GL20RESOURCE_TYPE_MASK`

Constructor Summary
`GL20ResourceShapeLineStrip()`

Method Summary
`void` | `applyGeometry()` tell this `GL20ResourceShape` that it should apply the geometry to the `GL20GfxServer`
`void` | `destory()` destroy this `GL20ResourceShapeLineStrip`
`boolean` | `isUpToDate()` check if this `GL20ResourceShapeLineStrip` is up to date
`void` | `setColor(Vector4f color)` set the color of this line strip
`void` | `setLineArray(LineArray lineArray)` set the `LineArray` that contains the line strip information
`void` | `update()` update the state of this `GL20ResourceShapeLineStrip`

Methods inherited from class de.grogra.imp3d.gl20.GL20ResourceShape
`destroy, getShader, getShapeTransformationMatrix, getWorldTransformationMatrix, setShader, setShapeTransformationMatrix, setWorldTransformationMatrix`

Methods inherited from class de.grogra.imp3d.gl20.GL20Resource
`getResourceClass, getResourceClassType, getResourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GL20ResourceShapeLineStrip

    public GL20ResourceShapeLineStrip()

Method Detail

### applyGeometry

    public void applyGeometry()

  tell this `GL20ResourceShape` that it should apply the geometry to the `GL20GfxServer`

  Overrides:
    `applyGeometry` in class `GL20ResourceShape`

### destory

    public void destory()

  destroy this `GL20ResourceShapeLineStrip`

  See Also:
    `GL20Resource`

### isUpToDate

    public boolean isUpToDate()

  check if this `GL20ResourceShapeLineStrip` is up to date

  Overrides:
    `isUpToDate` in class `GL20ResourceShape`
  Returns:
    `true` - this `GL20ResourceShapeLineStrip` is up to date
  See Also:
    `GL20Resource`

### setColor

    public final void setColor(Vector4f color)

  set the color of this line strip

  Parameters:
    `color` - the color of this line strip

### setLineArray

    public final void setLineArray(LineArray lineArray)

  set the `LineArray` that contains the line strip information

  Parameters:
    `lineArray` - the `LineArray`

### update

    public void update()

  update the state of this `GL20ResourceShapeLineStrip`

  Overrides:
    `update` in class `GL20ResourceShape`
  See Also:
    `GL20Resource`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD